> For the complete documentation index, see [llms.txt](https://docs.harmony.one/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.harmony.one/home/developers/tutorials/using-crosschain-api/scripts.md).

# Scripts

## Using the Scripts the API

* These scripts will build the transactions required to call Harmony's production API, for more instructions on how to use the API check the [webserver repo](https://docs.harmony.one/home/developers/tutorials/using-crosschain-api/webserver)
* Make sure to rename the `env_file` to `.env` and add your private key.
* To run a script just execute the node file e.g. `node bridge_eth_to_one.js`

## The Scripts

* `bridge_eth_to_one.js` This script bridges ethereum BUSD to Harmony's ethereum BUSD
* `bridge_one_to_bsc.js` This script bridges Harmony's BSC BUSD to BSC BUSD
* `viper_swap.js` This script swaps Harmony's ethereum BUSD to Harmony's BSC BUSD to BSC BUSD
* `end_to_end.js` This script performs a full end-to-end swap from Ethereum BUSD to BSC BUSD


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.harmony.one/home/developers/tutorials/using-crosschain-api/scripts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
